﻿using System;
using System.ComponentModel.DataAnnotations;
using CodeFirstMVC3.Domain.Model;

namespace CodeFirstMVC3.DataAccess.Model
{
    [Table("Role")]
    public class Role : IRole
    {
        public int Id { get; set; }

        [Required]
        public string Name { get; set; }

        [Required]
        public bool Active { get; set; }
    }
}
