﻿using System;
using System.Data.Entity;

namespace CodeFirstMVC3.Domain.DataAccess
{
    public interface IDbContext
    {
        IDbSet<T> Set<T>() where T : class;

        IDbSet<T> GetDbSet<T>() where T : class;

        Database Query { get; }

        int SaveChanges();
    }
}
