﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace CodeFirstMVC3.Domain.Model
{
    public interface IMember
    {
        int Id { get; set; }

        int RoleId { get; set; }

        string Username { get; set; }

        string Password { get; set; }

        bool Active { get; set; }

        IRole Role { get; set; }

        IEnumerable<IUser> Users { get; set; }
    }
}
