﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CodeFirstMVC3.Web.Infrastructure;

namespace CodeFirstMVC3.Web.Controllers
{
    [Authorize(Roles="User")]
    public class HomeController : BaseController
    {
        public ActionResult Index()
        {
            var x = User.IsInRole("Admin");
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
